﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Telerik.Windows.Controls.Diagrams.Extensions;
using Telerik.Windows.Controls;

namespace WpfTesting
{
	/// <summary>
	/// Interaction logic for MainWindow.xaml
	/// </summary>
	public partial class MainWindow : Window
	{
		public MainWindow()
		{
			InitializeComponent();
		}

		private void settingsPane_LayoutUpdated(object sender, EventArgs e)
		{
			var popup = this.settingsPane.ChildrenOfType<System.Windows.Controls.Primitives.Popup>().FirstOrDefault();
			if (popup != null)
			{
				var paneView = popup.Child.ChildrenOfType<SettingsPaneView>().FirstOrDefault();
				if (paneView != null)
				{
					var tabControl = paneView.ChildrenOfType<RadTabControl>().FirstOrDefault();
					if (tabControl != null)
					{
						this.settingsPane.LayoutUpdated -= this.settingsPane_LayoutUpdated;
						tabControl.Items.Add(new RadTabItem() { Header = "Custom Tab", Content = new TabContent() });
					}
				}
			}
		}
	}
}
